#!/usr/bin/env python3

BAL = {4: (1, 2),
       5: (1, 2),
       6: (1, 2),
       7: (1, 2),
       10: (1, 2),
       11: (1, 2),
       12: (1, 2),
       13: (1, 2),
       14: (1, 2),
       15: (1, 2),
       23: (1, 2),
       24: (1, 2),
       25: (1, 2),
       26: (1, 2),
       27: (1, 2),
       28: (1, 2),
       29: (1, 2),
       32: (1, 2),
       33: (1, 2),
       34: (1, 2),
       35: (1, 2),
       38: (1, 2),
       39: (1, 2),
       40: (1, 2),
       41: (1, 2),
       42: (1, 2),
       43: (1, 2)}


PIG = {4: (1, 2),
       5: (1, 2),
       6: (1, 2),
       7: (1, 2),
       8: (1, 2),
       12: (1, 2),
       13: (1, 2),
       15: (1, 2),
       16: (1, 2),
       17: (1, 2),
       18: (1, 2),
       19: (1, 2),
       21: (1, 2),
       22: (1, 2),
       23: (1, 2),
       24: (1, 2),
       25: (1, 2),
       26: (1, 2),
       30: (1, 2),
       31: (1, 2),
       32: (1, 2),
       33: (1, 2),
       34: (1, 2),
       39: (1, 2),
       40: (1, 2),
       42: (1, 2)}


N3 = {4: (1,),
      5: (1,),
      6: (1,),
      7: (1,),
      8: (1,),
      12: (1,),
      13: (1,),
      14: (1,),
      15: (1,),
      16: (1,),
      17: (1,),
      18: (1,),
      19: (1,)}

N5 = {6: (1, 2, 3, 4, 5),
      7: (1, 2, 3, 4, 5),
      8: (1, 2, 3, 4, 5),
      9: (1, 2, 3, 4, 5),
      10: (1, 2, 3, 4, 5),
      11: (1, 2, 3, 4, 5),
      12: (1, 2, 3, 4, 5),
      13: (1, 2, 3, 4, 5),
      18: (1, 2, 3, 4, 5),
      19: (1, 2, 3, 4, 5),
      20: (1, 2, 3, 4, 5),
      21: (1, 2, 3, 4, 5),
      22: (1, 2, 3, 4, 5),
      23: (1, 2, 3, 4, 5),
      24: (1, 2, 3, 4, 5),
      25: (1, 2, 3, 4, 5),
      30: (1, 2, 3),
      31: (1, 2, 3),
      32: (1, 2, 3),
      33: (1, 2, 3),
      34: (1, 2, 3),
      35: (1, 2, 3),
      36: (1, 2, 3),
      37: (1, 2, 3),
      42: (1, 2, 3),
      43: (1, 2, 3),
      44: (1, 2, 3),
      45: (1, 2, 3),
      46: (1, 2, 3),
      47: (1, 2, 3),
      48: (1, 2, 3),
      49: (1, 2, 3)}

N6 = {6: (1, 2, 3, 4, 5),
      7: (1, 2, 3, 4, 5),
      8: (1, 2, 3, 4, 5),
      9: (1, 2, 3, 4, 5),
      10: (1, 2, 3, 4, 5),
      11: (1, 2, 3, 4, 5),
      12: (1, 2, 3, 4, 5),
      13: (1, 2, 3, 4, 5),
      14: (1, 2, 3, 4, 5),
      15: (1, 2, 3, 4, 5),
      16: (1, 2, 3, 4, 5),
      21: (1, 2, 3, 4, 5),
      22: (1, 2, 3, 4, 5),
      23: (1, 2, 3, 4, 5),
      24: (1, 2, 3, 4, 5),
      25: (1, 2, 3, 4, 5),
      26: (1, 2, 3, 4, 5),
      27: (1, 2, 3, 4, 5),
      28: (1, 2, 3, 4, 5),
      29: (1, 2, 3, 4, 5),
      30: (1, 2, 3, 4, 5),
      31: (1, 2, 3, 4, 5),
      36: (1, 2, 3),
      37: (1, 2, 3),
      38: (1, 2, 3),
      39: (1, 2, 3),
      40: (1, 2, 3),
      41: (1, 2, 3),
      42: (1, 2, 3),
      43: (1, 2, 3),
      44: (1, 2, 3),
      45: (1, 2, 3),
      46: (1, 2, 3),
      51: (1, 2, 3),
      52: (1, 2, 3),
      53: (1, 2, 3),
      54: (1, 2, 3),
      55: (1, 2, 3),
      56: (1, 2, 3),
      57: (1, 2, 3),
      58: (1, 2, 3),
      59: (1, 2, 3),
      60: (1, 2, 3),
      61: (1, 2, 3)}

N7 = {6: (1, 2, 3, 4, 5),
      7: (1, 2, 3, 4, 5),
      8: (1, 2, 3, 4, 5),
      13: (1, 2, 3, 4, 5),
      14: (1, 2, 3, 4, 5),
      15: (1, 2, 3, 4, 5),
      20: (1, 2, 3),
      21: (1, 2, 3),
      22: (1, 2, 3),
      27: (1, 2, 3),
      28: (1, 2, 3),
      29: (1, 2, 3)}

N8 = {7: (1, 2, 3),
      8: (1, 2, 3),
      9: (1, 2, 3),
      10: (1, 2, 3),
      11: (1, 2, 3),
      12: (1, 2, 3),
      14: (1, 2, 3),
      15: (1, 2, 3),
      16: (1, 2, 3),
      17: (1, 2, 3),
      18: (1, 2, 3),
      19: (1, 2, 3),
      49: (1, 2, 3),
      50: (1, 2, 3),
      51: (1, 2, 3),
      52: (1, 2, 3),
      53: (1, 2, 3),
      54: (1, 2, 3),
      59: (1, 2, 3),
      60: (1, 2, 3),
      61: (1, 2, 3),
      62: (1, 2, 3),
      63: (1, 2, 3),
      64: (1, 2, 3)}

N8_offset = {'length': 20,
             'row': 25,
             'cols': (2, 3, 4, 5)}

N9 = {7: (1, 2, 3),
      8: (1, 2, 3),
      9: (1, 2, 3),
      10: (1, 2, 3),
      11: (1, 2, 3),
      13: (1, 2, 3),
      14: (1, 2, 3),
      15: (1, 2, 3),
      16: (1, 2, 3),
      17: (1, 2, 3),
      24: (1, 2, 3),
      25: (1, 2, 3),
      26: (1, 2, 3),
      27: (1, 2, 3),
      28: (1, 2, 3),
      32: (1, 2, 3),
      33: (1, 2, 3),
      34: (1, 2, 3),
      35: (1, 2, 3),
      36: (1, 2, 3),
      44: (1, 2, 3),
      45: (1, 2, 3),
      46: (1, 2, 3),
      47: (1, 2, 3),
      48: (1, 2, 3),
      50: (1, 2, 3),
      51: (1, 2, 3),
      52: (1, 2, 3),
      53: (1, 2, 3),
      54: (1, 2, 3)}

N10_1_offset = {'length': 20,
                'row': 6,
                'cols': (3,)}

N10_2_offset = {'length': 20,
                'row': 6,
                'cols': (1, 2)}

N10 = {29: (1, 2),
       30: (1, 2),
       31: (1, 2),
       32: (1, 2),
       33: (1, 2),
       34: (1, 2),
       41: (1, 2),
       42: (1, 2),
       46: (1, 2),
       47: (1, 2),
       48: (1, 2),
       49: (1, 2),
       50: (1, 2),
       51: (1, 2),
       52: (1, 2),
       53: (1, 2),
       54: (1, 2),
       55: (1, 2),
       56: (1, 2),
       60: (1, 2),
       61: (1, 2),
       62: (1, 2),
       66: (1, 2),
       67: (1, 2),
       68: (1, 2),
       69: (1, 2),
       70: (1, 2),
       72: (1, 2),
       73: (1, 2),
       74: (1, 2),
       75: (1, 2),
       76: (1, 2),
       80: (1, ),
       81: (1, ),
       85: (1, ),
       86: (1, ),
       87: (1, ),
       91: (1, ),
       92: (1, ),
       93: (1, ),
       94: (1, ),
       95: (1, ),
       96: (1, ),
       97: (1, ),
       98: (1, ),
       99: (1, )}

N11 = {6: (1, ),
       7: (1, ),
       8: (1, ),
       9: (1, ),
       10: (1, ),
       11: (1, ),
       12: (1, ),
       13: (1, ),
       14: (1, ),
       15: (1, )}

N11_1_offset = {'length': 20,
                'row': 21,
                'cols': (1, 2)}

N11_2_offset = {'length': 20,
                'row': 43,
                'cols': (1, )}

N11_3_offset = {'length': 20,
                'row': 68,
                'cols': (1, 2)}

N11_4_offset = {'length': 20,
                'row': 93,
                'cols': (1, 2)}

RANGES_MEM = {'N1-2': ('A6:F6', 'A8:C8', 'A10:F13', 'A17:F17', 'A19:F19',
                       'A21:F21', 'A31:F34', 'A40:F43', 'A49:F52'),
              'N3': ('A8:A8', 'B4:B8', 'A19:A19', 'B12:B19', 'A27:F30'),
              'N4': ('A2:F17',),
              'N5': ('B6:E13', 'B18:E25', 'B30:D37', 'B42:D49'),
              'N6': ('B6:E16', 'B21:E31', 'B36:D46', 'B51:D61'),
              'N7': ('B6:E8', 'B13:E15', 'B20:D22', 'B27:D29', 'B35:B35',
                     'D35:D35'),
              'N8': ('B7:C12', 'B14:C19', 'A25:F44', 'B49:C54', 'B59:C64'),
              'N9': ('B7:C11', 'B13:C17', 'B24:D28', 'B32:D36', 'B44:C48',
                     'B50:C54'),
              'N10': ('A6:C25', 'B29:C34', 'B41:C42', 'B46:C56', 'B60:C62',
                      'B66:C70', 'B72:B76', 'B80:B81', 'B85:B87', 'B91:B99'),
              'N11-12': ('B6:B10', 'B12:B15', 'A21:C40', 'A43:C62', 'A68:C87',
                         'A93:C112', 'A118:D120', 'A124:D126')}

RANGES_BAL = {'BAL': ('B4:C7', 'B10:C15', 'B23:C29', 'B32:C35', 'B38:C43')}

RANGES_PIG = {'PIG': ('B4:C8', 'B12:C13', 'B15:C19', 'B21:C26', 'B30:C34',
                      'B39:C40', 'B42:C42')}
